Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
directory_base = client.streaming.directories.update(
directory_id=0,
)
print(directory_base.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
directoryBase, err := client.Streaming.Directories.Update(
context.TODO(),
0,
streaming.DirectoryUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", directoryBase.ID)
}
curl --request PATCH \
--url https://api.gcore.com/streaming/directories/{directory_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "New series. Season 2"
}
'const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'New series. Season 2'})
};
fetch('https://api.gcore.com/streaming/directories/{directory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 100,
"name": "New series",
"parent_id": null,
"items_count": 2,
"created_at": "2024-07-01T18:00:00Z",
"updated_at": "2024-07-01T18:00:00Z"
}{
"status": 404,
"error": "Not Found. Entity you are looking for was not found, please check the initial parameters"
}This response has no body data.Directories
Update directory
Change a directory name or move to another “parent_id”.
PATCH
/
streaming
/
directories
/
{directory_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
directory_base = client.streaming.directories.update(
directory_id=0,
)
print(directory_base.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
directoryBase, err := client.Streaming.Directories.Update(
context.TODO(),
0,
streaming.DirectoryUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", directoryBase.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Directory ID
Body
application/json
Response
Successful
ID of the directory
Title of the directory
ID of a parent directory. "null" if it's in the root.
Number of objects in this directory. Counting files and folders. The quantity is calculated only at one level (not recursively in all subfolders).
Time of creation. Datetime in ISO 8601 format.
Time of last update of the directory entity. Datetime in ISO 8601 format.
Was this page helpful?